commit:     54d2c207b4e88fb14ca7b39246ea7c938c983d3d
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Wed Mar 10 09:17:53 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Wed Mar 31 22:33:28 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54d2c207

media-libs/sdl-image: CVE-2019-13616 v1.2.12_p20210308

Bug: https://bugs.gentoo.org/772194
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: https://github.com/gentoo/gentoo/pull/19863
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 media-libs/sdl-image/Manifest                      |  1 +
 .../sdl-image/sdl-image-1.2.12_p20210308.ebuild    | 59 ++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/media-libs/sdl-image/Manifest b/media-libs/sdl-image/Manifest
index 4b0d4096b96..88fd1297d53 100644
--- a/media-libs/sdl-image/Manifest
+++ b/media-libs/sdl-image/Manifest
@@ -1 +1,2 @@
 DIST SDL_image-1.2.12.tar.gz 2231074 BLAKE2B 
0d63e0b2207d1d347ec882e610eb37a625811febc215f089eb00dddec92b1a9fe026d2ab7823677c46e595585f3b5e176c35f9ac1f9ec2debf430ecc3ea950a6
 SHA512 
0e71b280abc2a7f15755e4480a3c1b52d41f9f8b0c9216a6f5bd9fc0e939456fb5d6c10419e1d1904785783f9a1891ead278c03e88b0466fecc6871c3ca40136
+DIST SDL_image-1.2.12_p20210308.tar.gz 10890257 BLAKE2B 
69c97e47e4be82f08cc5ab1d3efeb40f3931e8528f510d0b15cb2d2fe76e3686c9f2cb5eab44fde41f58b636e725292d9af90b4a5d8113da46240064efffdfc7
 SHA512 
5cae510c413db1e32dec7791ec143317a3ad91864e067ee44db8fa9df3d1edffafde28582f387d8930bda74fd99a2082736677e3201d2dd961902291f1ddeaaa

diff --git a/media-libs/sdl-image/sdl-image-1.2.12_p20210308.ebuild 
b/media-libs/sdl-image/sdl-image-1.2.12_p20210308.ebuild
new file mode 100644
index 00000000000..b447ae3a9fd
--- /dev/null
+++ b/media-libs/sdl-image/sdl-image-1.2.12_p20210308.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit multilib-minimal
+
+MY_P="${P/sdl-/SDL_}"
+MY_COMMIT="93e58981dcd947f9f153309fda46b0d1cb4eca83"
+DESCRIPTION="Image file loading library"
+HOMEPAGE="https://www.libsdl.org/projects/SDL_image/release-1.2.html";
+SRC_URI="https://github.com/libsdl-org/SDL_image/archive/${MY_COMMIT}.tar.gz 
-> ${MY_P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+IUSE="gif jpeg png static-libs tiff webp"
+
+RDEPEND="
+       sys-libs/zlib[${MULTILIB_USEDEP}]
+       >=media-libs/libsdl-1.2.15-r4[${MULTILIB_USEDEP}]
+       png? ( media-libs/libpng:0[${MULTILIB_USEDEP}] )
+       jpeg? ( virtual/jpeg:0[${MULTILIB_USEDEP}] )
+       tiff? ( media-libs/tiff:0[${MULTILIB_USEDEP}] )
+       webp? ( media-libs/libwebp:=[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/SDL_image-${MY_COMMIT}
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf \
+               --disable-jpg-shared \
+               --disable-png-shared \
+               --disable-tif-shared \
+               --disable-webp-shared \
+               $(use_enable static-libs static) \
+               $(use_enable gif) \
+               $(use_enable jpeg jpg) \
+               $(use_enable tiff tif) \
+               $(use_enable png) \
+               $(use_enable webp) \
+               --enable-bmp \
+               --enable-lbm \
+               --enable-pcx \
+               --enable-pnm \
+               --enable-tga \
+               --enable-xcf \
+               --enable-xpm \
+               --enable-xv
+}
+
+multilib_src_install() {
+       emake DESTDIR="${D}" install
+       dobin .libs/showimage
+}
+
+multilib_src_install_all() {
+       dodoc CHANGES README
+       use static-libs || find "${ED}" -type f -name "*.la" -delete || die
+}

Reply via email to